import type { RouteRecordRaw } from 'vue-router'

declare module 'vue-router' {
  interface RouteMeta {
    title: string
    isFullScreen: boolean
    keepAlive: boolean
  }
}

// 为自动导入的路由模块添加类型支持
declare global {
  declare interface RouteModule {
    default: RouteRecordRaw[] | RouteRecordRaw
  }
}
